Constants (Apache Tomcat 11.0.24 API Documentation)
Description: declaration: package: org.apache.catalina.startup, class: Constants

# Class Constants

java.lang.Object
org.apache.catalina.startup.Constants

public final class Constants extends Object
String constants for the startup package.
Note that some values include a leading '/' and that some do not. This is intentional based on how the values are used.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ApplicationContextXml`
  The path to the application context XML file.
  `static final String`
  `ApplicationWebXml`
  The path to the application web.xml file.
  `static final String`
  `CATALINA_BASE_PROP`
  Name of the system property containing the tomcat instance installation path
  `static final String`
  `CATALINA_HOME_PROP`
  Name of the system property containing the tomcat product installation path
  `static final String`
  `DefaultContextXml`
  The path to the default context XML file.
  `static final String`
  `DefaultWebXml`
  The path to the default web.xml file.
  `static final String`
  `HostContextXml`
  The path to the host context XML file.
  `static final String`
  `HostWebXml`
  The path to the host web.xml file.
  `static final String`
  `NoDefaultWebXml`
  A value that points to a non-existent file used to suppress loading the default web.xml file.
  `static final String`
  `Package`
  The fully qualified name of this package.
  `static final String`
  `TomcatWebXml`
  The path to the Tomcat web.xml file.
  `static final String`
  `WarTracker`
  The path to the WAR tracker file.

- ## Method Summary

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### Package

    public static final String Package
    The fully qualified name of this package.
    See Also:
      - Constant Field Values

  - ### ApplicationContextXml

    public static final String ApplicationContextXml
    The path to the application context XML file.
    See Also:
      - Constant Field Values

  - ### ApplicationWebXml

    public static final String ApplicationWebXml
    The path to the application web.xml file.
    See Also:
      - Constant Field Values

  - ### TomcatWebXml

    public static final String TomcatWebXml
    The path to the Tomcat web.xml file.
    See Also:
      - Constant Field Values

  - ### DefaultContextXml

    public static final String DefaultContextXml
    The path to the default context XML file.
    See Also:
      - Constant Field Values

  - ### DefaultWebXml

    public static final String DefaultWebXml
    The path to the default web.xml file.
    See Also:
      - Constant Field Values

  - ### HostContextXml

    public static final String HostContextXml
    The path to the host context XML file.
    See Also:
      - Constant Field Values

  - ### HostWebXml

    public static final String HostWebXml
    The path to the host web.xml file.
    See Also:
      - Constant Field Values

  - ### WarTracker

    public static final String WarTracker
    The path to the WAR tracker file.
    See Also:
      - Constant Field Values

  - ### NoDefaultWebXml

    public static final String NoDefaultWebXml
    A value that points to a non-existent file used to suppress loading the default web.xml file.

    It is useful when embedding Tomcat, when the default configuration is done programmatically, e.g. by calling `Tomcat.initWebappDefaults(context)`.

    See Also:
      - `Tomcat`
      - Constant Field Values

  - ### CATALINA_HOME_PROP

    public static final String CATALINA_HOME_PROP
    Name of the system property containing the tomcat product installation path
    See Also:
      - Constant Field Values

  - ### CATALINA_BASE_PROP

    public static final String CATALINA_BASE_PROP
    Name of the system property containing the tomcat instance installation path
    See Also:
      - Constant Field Values